package com.simuwang.base.pojo.dos.sys;

import com.simuwang.base.common.support.dos.BaseEntity;
import com.simuwang.base.pojo.vo.sys.SysRoleUserVO;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class SysRoleUserDO extends BaseEntity<SysRoleUserVO> {
    private Integer roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色权限
     */
    private String roleKey;

    /**
     * 角色排序
     */
    private Integer roleSort;

    /**
     * 角色状态（1正常 0停用）
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 手机号码
     */
    private String phonenumber;
    /**
     * 帐号状态（1正常 0停用）
     */
    private Integer userStatus;

    @Override
    public SysRoleUserVO toVo() {
        SysRoleUserVO vo = new SysRoleUserVO();
        vo.setRoleId(this.roleId);
        vo.setRoleName(this.roleName);
        vo.setRoleKey(this.roleKey);
        vo.setRemark(this.remark);
        vo.setRoleSort(this.roleSort);
        vo.setStatus(this.status);
        vo.setCreatorId(this.getCreatorId());
        vo.setCreateTime(this.getCreateTime());
        vo.setUserId(this.userId);
        vo.setUserName(this.userName);
        vo.setEmail(this.email);
        vo.setPhonenumber(this.phonenumber);
        vo.setUserStatus(this.userStatus);
        return vo;
    }
}
